Subject: bug#5803: 23.1.94; Using tq-enqueue in timer messes with keystroke echoing

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 09 Dec 2020 19:42:59 +0100

Eli Zaretskii <[email-masked]> writes:

> When I run this, I get an error message about spurious
> communications.  Does it work cleanly for you?

I get no errors when testing that code...

> Do we really need this tq package to reproduce the issue?  It adds a
> layer of complexity to a scenario that is complex to begin with.  I
> hope there can be a recipe that avoids using tq.

Yeah, the tq is unnecessary.  The following reproduces for me:

(setq proc (start-process "shell" (get-buffer-create "*process*") "/bin/sh"))
(defun send-test ()
  (process-send-string proc "ls /tmp\n"))
(setq timer (run-with-timer 1 1 'send-test))

I then hit

C-x

and I don't get the "C-x-" prompt.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no